<?php
namespace WHMCS\Module\Addon\ProxyCheap\Commands\V2;

use WHMCS\Module\Addon\ProxyCheap\AbstractCommand;
use WHMCS\Module\Addon\ProxyCheap\API;
class OrderConfiguration extends AbstractCommand
{
    public function get()
    {
    }

    public function post()
    {
        //$this->input['bandwidth'] = 3;
        $input = $this->input;
        unset($input['service']);

        $api = new API();
        $request = $api->setKey($this->params['apikey'])
            ->setSecret($this->params['apisecret'])
            ->setHeaders()
            ->executePOST('v2/order/' . $this->input['service'] . '?withMetadata=true', $input);

        return $request;
    }
}